Debian Bug report logs - #642656
dpkg-dev: cannot build 2.0 source packages: local changes detected, the modified files are: .../debian/patches/.dpkg-source-applied

version graph

Package: dpkg-dev; Maintainer for dpkg-dev is Dpkg Developers <debian-dpkg@lists.debian.org>; Source for dpkg-dev is src:dpkg.

Reported by: Jakub Wilk <jwilk@debian.org>

Date: Sat, 24 Sep 2011 14:45:01 UTC

Severity: important

Found in version 1.16.1

Fixed in version dpkg/1.16.1.1

Done: Guillem Jover <guillem@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, jwilk@debian.org, Dpkg Developers <debian-dpkg@lists.debian.org>:
Bug#642656; Package dpkg-dev. (Sat, 24 Sep 2011 14:45:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-dev: cannot build 2.0 source packages: local changes detected, the modified files are: .../debian/patches/.dpkg-source-applied
Date: Sat, 24 Sep 2011 16:42:16 +0200
[Message part 1 (text/plain, inline)]
Package: dpkg-dev
Version: 1.16.1
Severity: important

It's no longer possible to build source packages in the 2.0 format:
| $ dpkg-buildpackage -S
| dpkg-buildpackage: dpkg-buildflags (origin: vendor): CFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security
| -Werror=format-security
| dpkg-buildpackage: dpkg-buildflags (origin: vendor): CPPFLAGS =
| dpkg-buildpackage: dpkg-buildflags (origin: vendor): CXXFLAGS = -g -O2 -fstack-protector --param=ssp-buffer-size=4 -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security
| dpkg-buildpackage: dpkg-buildflags (origin: vendor): FFLAGS = -g -O2
| dpkg-buildpackage: dpkg-buildflags (origin: vendor): LDFLAGS = -Wl,-z,relro
| dpkg-buildpackage: source package cruft-general-wig-pen
| dpkg-buildpackage: source version 1.0-1
| dpkg-buildpackage: source changed by Debian Lintian Maintainers <lintian-maint@debian.org>
|  dpkg-source --before-build cruft-general-wig-pen-1.0
|  fakeroot debian/rules clean
| Do nothing
|  dpkg-source -b cruft-general-wig-pen-1.0
| dpkg-source: info: using source format `2.0'
| dpkg-source: info: building cruft-general-wig-pen using existing ./cruft-general-wig-pen_1.0.orig.tar.gz
| dpkg-source: info: local changes detected, the modified files are:
|  cruft-general-wig-pen-1.0/debian/patches/.dpkg-source-applied
| dpkg-source: info: you can integrate the local changes with dpkg-source --commit
| dpkg-source: error: aborting due to unexpected upstream changes, see /tmp/cruft-general-wig-pen_1.0-1.diff.kVRxtq
| dpkg-buildpackage: error: dpkg-source -b cruft-general-wig-pen-1.0 gave error exit status 2

Please note that it's dpkg-source who created the debian/patches/.dpkg-source-applied file.


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (990, 'unstable'), (500, 'experimental')
Architecture: i386 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=C, LC_CTYPE=pl_PL.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg-dev depends on:
ii  base-files    6.5                       
ii  binutils      2.21.53.20110910-1        
ii  bzip2         1.0.5-7                   
ii  libdpkg-perl  1.16.1                    
ii  make          3.82-1                    
ii  patch         2.6.1.85-423d-3           
ii  xz-utils      5.1.1alpha+20110809-3~exp2

-- 
Jakub Wilk
[cruft-general-wig-pen_1.0-1.debian.tar.gz (application/octet-stream, attachment)]
[cruft-general-wig-pen_1.0-1.dsc (text/plain, attachment)]
[cruft-general-wig-pen_1.0.orig.tar.gz (application/octet-stream, attachment)]

Added tag(s) pending. Request was from Raphaël Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Thu, 06 Oct 2011 15:00:06 GMT) Full text and rfc822 format available.

Message sent on to Jakub Wilk <jwilk@debian.org>:
Bug#642656. (Thu, 06 Oct 2011 15:00:09 GMT) Full text and rfc822 format available.

Message #8 received at 642656-submitter@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 642656-submitter@bugs.debian.org
Subject: Bug#642656 marked as pending
Date: Thu, 06 Oct 2011 14:56:50 +0000
tag 642656 pending
thanks

Hello,

Bug #642656 reported by you has been fixed in the Git repository. You can
see the changelog below, and you can check the diff of the fix at:

    http://git.debian.org/?p=dpkg/dpkg.git;a=commitdiff;h=f18c197

---
commit f18c197931e280ff3594dd06585ad1a15e24bc28
Author: Raphaël Hertzog <hertzog@debian.org>
Date:   Thu Oct 6 16:54:57 2011 +0200

    dpkg-source: ignore changes on debian/patches/.dpkg-source-applied
    
    With 2.0 source packages, dpkg-source records as a comment in
    debian/patches/.dpkg-source-applied whether the patches have
    been applied at build time or at unpack time.
    
    This can lead to differences between the file in the build tree
    and the file in the reference tree used to check for changes.
    Thus we need to ignore that file in the diff process or the build
    might fail considering this difference as a local change that
    has not been recorded in a patch.
    
    Reported-by: Jakub Wilk <jwilk@debian.org>

diff --git a/debian/changelog b/debian/changelog
index c476b99..69ba2e8 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -14,6 +14,8 @@ dpkg (1.16.1.1) UNRELEASED; urgency=low
   * Fix trigger setup code to not reset the status of packages
     when they are in a status different from triggers-awaited,
     triggers-pending or installed. Closes: #644492
+  * Fix dpkg-source to ignore changes on debian/patches/.dpkg-source-applied
+    when building a "2.0" source package. Closes: #642656
 
   [ Guillem Jover ]
   * Change dpkg-buildflags to set preprocessor option -D_FORTIFY_SOURCE=2




Reply sent to Guillem Jover <guillem@debian.org>:
You have taken responsibility. (Fri, 14 Oct 2011 05:51:10 GMT) Full text and rfc822 format available.

Notification sent to Jakub Wilk <jwilk@debian.org>:
Bug acknowledged by developer. (Fri, 14 Oct 2011 05:51:10 GMT) Full text and rfc822 format available.

Message #13 received at 642656-close@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: 642656-close@bugs.debian.org
Subject: Bug#642656: fixed in dpkg 1.16.1.1
Date: Fri, 14 Oct 2011 05:47:19 +0000
Source: dpkg
Source-Version: 1.16.1.1

We believe that the bug you reported is fixed in the latest version of
dpkg, which is due to be installed in the Debian FTP archive:

dpkg-dev_1.16.1.1_all.deb
  to main/d/dpkg/dpkg-dev_1.16.1.1_all.deb
dpkg_1.16.1.1.dsc
  to main/d/dpkg/dpkg_1.16.1.1.dsc
dpkg_1.16.1.1.tar.bz2
  to main/d/dpkg/dpkg_1.16.1.1.tar.bz2
dpkg_1.16.1.1_amd64.deb
  to main/d/dpkg/dpkg_1.16.1.1_amd64.deb
dselect_1.16.1.1_amd64.deb
  to main/d/dpkg/dselect_1.16.1.1_amd64.deb
libdpkg-dev_1.16.1.1_amd64.deb
  to main/d/dpkg/libdpkg-dev_1.16.1.1_amd64.deb
libdpkg-perl_1.16.1.1_all.deb
  to main/d/dpkg/libdpkg-perl_1.16.1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 642656@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Guillem Jover <guillem@debian.org> (supplier of updated dpkg package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 14 Oct 2011 07:08:31 +0200
Source: dpkg
Binary: libdpkg-dev dpkg dpkg-dev libdpkg-perl dselect
Architecture: source amd64 all
Version: 1.16.1.1
Distribution: unstable
Urgency: low
Maintainer: Dpkg Developers <debian-dpkg@lists.debian.org>
Changed-By: Guillem Jover <guillem@debian.org>
Description: 
 dpkg       - Debian package management system
 dpkg-dev   - Debian package development tools
 dselect    - Debian package management front-end
 libdpkg-dev - Debian package management static library
 libdpkg-perl - Dpkg perl modules
Closes: 642521 642656 643037 643148 643632 644412 644492
Changes: 
 dpkg (1.16.1.1) unstable; urgency=low
 .
   [ Raphaël Hertzog ]
   * Fix dpkg-source to not ignore the automatic patch when checking
     for unrecorded changes. Closes: #643148
   * Let dpkg-source --commit create debian/patches when required.
     Closes: #643037
   * Fix dpkg-buildflags --dump to return 0 as exit code and not 1.
   * Update dpkg-buildflags(1) to not include quotes in the examples
     setting DEB_BUILD_MAINT_OPTIONS.
   * Stop outputting build flags in dpkg-buildpackage as it confuses
     maintainers who are overriding them in debian/rules and who
     are not seeing the expected value in the build log.
   * Fix trigger setup code to not reset the status of packages
     when they are in a status different from triggers-awaited,
     triggers-pending or installed. Closes: #644492
   * Fix dpkg-source to ignore changes on debian/patches/.dpkg-source-applied
     when building a "2.0" source package. Closes: #642656
   * Fix buildflags.mk to re-export the environment variables that
     the maintainer can use to change the build flags. Closes: #644412
 .
   [ Guillem Jover ]
   * Change dpkg-buildflags to set preprocessor option -D_FORTIFY_SOURCE=2
     in CPPFLAGS, instead of CFLAGS and CXXFLAGS. Closes: #642521, #643632
   * Fix typo to correctly set DEB_*_ARCH_BITS instead of DEB_*_ARCH in
     architecture.mk. Thanks to Thorsten Glaser <tg@mirbsd.org>.
   * Make dpkg-buildflags disable full relro (bindnow) if relro is not enabled.
Checksums-Sha1: 
 84d661ab56634263bf86d2c6bc01f40194ff7942 1372 dpkg_1.16.1.1.dsc
 578c312accfaabf240f1cb8f6e13cfdabd8d8027 5432275 dpkg_1.16.1.1.tar.bz2
 f64f11f95012a185f6c3657c5c956f818bff110f 555334 libdpkg-dev_1.16.1.1_amd64.deb
 631f6ee4cdb7e8746275ba66dd02851d248a9e2c 2221654 dpkg_1.16.1.1_amd64.deb
 096aa4dee20bab855772723d36ee727149a67120 1009472 dselect_1.16.1.1_amd64.deb
 cd1d60c6fc72e9fad2e5661a4379e8096c986187 927372 dpkg-dev_1.16.1.1_all.deb
 ea256cf7c5ff4428f8f05029ed613f3dcdbcee1b 809766 libdpkg-perl_1.16.1.1_all.deb
Checksums-Sha256: 
 a265a786974128b5c9d9a59e9b0b8e080601217e320ea21f06a79376f80463f3 1372 dpkg_1.16.1.1.dsc
 7bd9861ddfa7408ca790ca0d8fa8a3b585afcb900fdee5b658d42f9fca09202d 5432275 dpkg_1.16.1.1.tar.bz2
 914a67584614415a99f5f1f2e9544af183a64b7660768e401ea36e6d833738a1 555334 libdpkg-dev_1.16.1.1_amd64.deb
 3dfe73a733a58a0718b0adcd1decc20c798a7f66a282714f1fd31d0095dbd65b 2221654 dpkg_1.16.1.1_amd64.deb
 e7459e18c8643e6cc3a2939e9b42656c83888507c8feab56c1b1cc8c8b3f5ac7 1009472 dselect_1.16.1.1_amd64.deb
 08f86079607e20285c2e49760150b09d83135dc03cecf0579f06ac0c8e338b8c 927372 dpkg-dev_1.16.1.1_all.deb
 747685b3b639cf1e4bcb86c1abd401fa8d53b89fa2d5186c432618ffa8af23bb 809766 libdpkg-perl_1.16.1.1_all.deb
Files: 
 61e4c4decca0d3fcf5273a511691faea 1372 admin required dpkg_1.16.1.1.dsc
 73fb4d67dbc9f9f14a776187429ce3f1 5432275 admin required dpkg_1.16.1.1.tar.bz2
 fe5f482b2d8f0c29166e64de8e7a057e 555334 libdevel optional libdpkg-dev_1.16.1.1_amd64.deb
 e8e587d015e07ee9e021dde794118178 2221654 admin required dpkg_1.16.1.1_amd64.deb
 ba40b0adceac93490b597deb7824ffbc 1009472 admin optional dselect_1.16.1.1_amd64.deb
 c03b149e046793a6adf4a5ad85fab218 927372 utils optional dpkg-dev_1.16.1.1_all.deb
 30f6b48d95cdeba197302daee1ec99b3 809766 perl optional libdpkg-perl_1.16.1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk6XxdMACgkQuW9ciZ2SjJvdRwCbBBL7amUJAKoRAMSzur5JAlQ7
E8cAnjB+hj7Xzr7Jm7i1b0pX3cWUWxkV
=zyVA
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 19 Nov 2011 07:35:40 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 06:30:35 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.